export declare class IMAPFolderStatusNativeBinding {
    get unseenCount(): number;
    set unseenCount(count: number);
    get messageCount(): number;
    set messageCount(msgCount: number);
    get recentCount(): number;
    set recentCount(count: number);
    get uidNext(): number;
    set uidNext(uid: number);
    get uidValidity(): number;
    set uidValidity(uid: number);
    get highestModSeqValue(): number;
    set highestModSeqValue(value: number);
    description(): string;
}

export declare interface IMAPFolderStatusNativeBindingObject {
    new(): IMAPFolderStatusNativeBinding
    strError(errorCode: number): string
}
